For the complete documentation index, see llms.txt. This page is also available as Markdown.

List all parent links for a product.

List all parent links for a product.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
productUidstringRequired

Reference to a Product.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
productLinkTypestring · enumOptional
ENUMDescription
INSURANCEInsurance products allowed to be added to the product
ALTERNATIVEAlternative products if the main product is not available
ACCESSORYAccessory products for the main product
SPARE_PARTSpare part that can be used to repair the product
SERVICEService products.
FREIGHT_SERVICEFreight service products.
AUTO_ADDThe products will be auto added to the order and can not be removed without removing the main product.
Possible values:
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/products/{productUid}/links/parents
GET /v2/tenants/{tenantUid}/products/{productUid}/links/parents HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "productLinkUid": "text",
      "linkType": "INSURANCE",
      "parentProductUid": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?